
## `github.com/hashicorp/go-azure-sdk/resource-manager/devtestlab/2018-09-15/policysets` Documentation

The `policysets` SDK allows for interaction with the Azure Resource Manager Service `devtestlab` (API Version `2018-09-15`).

This readme covers example usages, but further information on [using this SDK can be found in the project root](https://github.com/hashicorp/go-azure-sdk/tree/main/docs).

### Import Path

```go
import "github.com/hashicorp/go-azure-sdk/resource-manager/devtestlab/2018-09-15/policysets"
```


### Client Initialization

```go
client := policysets.NewPolicySetsClientWithBaseURI("https://management.azure.com")
client.Client.Authorizer = authorizer
```


### Example Usage: `PolicySetsClient.EvaluatePolicies`

```go
ctx := context.TODO()
id := policysets.NewPolicySetID("12345678-1234-9876-4563-123456789012", "example-resource-group", "labValue", "policySetValue")

payload := policysets.EvaluatePoliciesRequest{
	// ...
}


read, err := client.EvaluatePolicies(ctx, id, payload)
if err != nil {
	// handle the error
}
if model := read.Model; model != nil {
	// do something with the model/response object
}
```
