package routefilters

import (
	"fmt"

	"github.com/hashicorp/go-azure-sdk/sdk/client/resourcemanager"
	"github.com/hashicorp/go-azure-sdk/sdk/environments"
)

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See NOTICE.txt in the project root for license information.

type RouteFiltersClient struct {
	Client *resourcemanager.Client
}

func NewRouteFiltersClientWithBaseURI(api environments.Api) (*RouteFiltersClient, error) {
	client, err := resourcemanager.NewResourceManagerClient(api, "routefilters", defaultApiVersion)
	if err != nil {
		return nil, fmt.Errorf("instantiating RouteFiltersClient: %+v", err)
	}

	return &RouteFiltersClient{
		Client: client,
	}, nil
}
