package storageaccounts

import (
	"time"

	"github.com/hashicorp/go-azure-helpers/lang/dates"
)

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See NOTICE.txt in the project root for license information.

type StorageAccountKey struct {
	CreationTime *string        `json:"creationTime,omitempty"`
	KeyName      *string        `json:"keyName,omitempty"`
	Permissions  *KeyPermission `json:"permissions,omitempty"`
	Value        *string        `json:"value,omitempty"`
}

func (o *StorageAccountKey) GetCreationTimeAsTime() (*time.Time, error) {
	if o.CreationTime == nil {
		return nil, nil
	}
	return dates.ParseAsFormat(o.CreationTime, "2006-01-02T15:04:05Z07:00")
}

func (o *StorageAccountKey) SetCreationTimeAsTime(input time.Time) {
	formatted := input.Format("2006-01-02T15:04:05Z07:00")
	o.CreationTime = &formatted
}
